## PhoshPolkitAuthAgent

PhoshPolkitAuthAgent — PolicyKit Authentication Agent

## Functions

PhoshPolkitAuthAgent * | phosh_polkit_auth_agent_new ()
void | phosh_polkit_authentication_agent_register ()

## Types and Values

#define | PHOSH_TYPE_POLKIT_AUTH_AGENT
| PhoshPolkitAuthAgent

## Object Hierarchy

        GObject
        ╰── PolkitAgentListener
            ╰── PhoshPolkitAuthAgent

## Description

The PhoshPolkitAuthAgent is responsible for handling policy kit interaction so the shell can work as a authentication agent.

## Functions

### phosh_polkit_auth_agent_new ()

    PhoshPolkitAuthAgent *
    phosh_polkit_auth_agent_new (void);

### phosh_polkit_authentication_agent_register ()

    void
    phosh_polkit_authentication_agent_register
                                   (PhoshPolkitAuthAgent *agent,
                                    GError **error);

## Types and Values

### PHOSH_TYPE_POLKIT_AUTH_AGENT

    #define PHOSH_TYPE_POLKIT_AUTH_AGENT (phosh_polkit_auth_agent_get_type())

### PhoshPolkitAuthAgent

    typedef struct _PhoshPolkitAuthAgent PhoshPolkitAuthAgent;